build:
  image: gcc
  stage: build
  before_script:
    - apt update && apt -y install make autoconf gcc-arm-none-eabi
  variables:
    GIT_SUBMODULE_STRATEGY: recursive
  script:
    - make
  artifacts:
    paths:
      - build/*.bin
      - build/*.elf

